# libtraceevent(3) Manual Page

## NAME

tep_get_header_page_size, tep_get_header_timestamp_size, tep_is_old_format - Get the data stored in the header page, in kernel context.

## SYNOPSIS

    #include <event-parse.h>

    int tep_get_header_page_size(struct tep_handle *tep);
    int tep_get_header_timestamp_size(struct tep_handle *tep);
    bool tep_is_old_format(struct tep_handle *tep);

## DESCRIPTION

These functions retrieve information from kernel context, stored in tracefs events/header_page. Old kernels do not have header page info, so default values from user space context are used.

The tep_get_header_page_size() function returns the size of a long integer, in kernel context. The tep argument is trace event parser context. This information is retrieved from tracefs events/header_page, "commit" field.

The tep_get_header_timestamp_size() function returns the size of timestamps, in kernel context. The tep argument is trace event parser context. This information is retrieved from tracefs events/header_page, "timestamp" field.

The tep_is_old_format() function returns true if the kernel predates the addition of events/header_page, otherwise it returns false.

## RETURN VALUE

The tep_get_header_page_size() function returns the size of a long integer, in bytes.

The tep_get_header_timestamp_size() function returns the size of timestamps, in bytes.

The tep_is_old_format() function returns true, if an old kernel is used to generate the tracing data, which has no event/header_page. If the kernel is new, or tep is NULL, false is returned.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/